Bug 35991 - Portuguese category requested for new port of blwm
Summary: Portuguese category requested for new port of blwm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-17 00:40 UTC by Trevor Johnson
Modified: 2002-11-18 09:59 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Trevor Johnson 2002-03-17 00:40:01 UTC
I've made a port of blwm, a Portuguese-language window manager.
I'd like a "Portuguese" category for it.

Fix: 

http://people.freebsd.org/~trevor/ports/portuguese.diff
Comment 1 Will Andrews 2002-03-17 00:41:32 UTC
On Sat, Mar 16, 2002 at 07:36:57PM -0500, Trevor Johnson wrote:
> 
> >Number:         35991
> >Category:       ports
> >Synopsis:       Portuguese category requested for new port of blwm
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    portmgr
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:  
> >Class:          change-request
> >Submitter-Id:   current-users
> >Arrival-Date:   Sat Mar 16 16:40:01 PST 2002
> >Closed-Date:
> >Last-Modified:
> >Originator:     Trevor Johnson
> >Release:        
> >Organization:
> >Environment:
> >Description:
> I've made a port of blwm, a Portuguese-language window manager.
> I'd like a "Portuguese" category for it.
> 
> >How-To-Repeat:
> >Fix:
> http://people.freebsd.org/~trevor/ports/portuguese.diff
> 
> >Release-Note:
> >Audit-Trail:
> >Unformatted:

Ugh.. no, only if there will be at least 10 ports in this
category at its inception.  Please.

-- 
wca
Comment 2 Kris Kennaway 2002-03-17 00:56:32 UTC
On Sat, Mar 16, 2002 at 07:36:57PM -0500, Trevor Johnson wrote:
> 
> >Number:         35991
> >Category:       ports
> >Synopsis:       Portuguese category requested for new port of blwm
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    portmgr
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:  
> >Class:          change-request
> >Submitter-Id:   current-users
> >Arrival-Date:   Sat Mar 16 16:40:01 PST 2002
> >Closed-Date:
> >Last-Modified:
> >Originator:     Trevor Johnson
> >Release:        
> >Organization:
> >Environment:
> >Description:
> I've made a port of blwm, a Portuguese-language window manager.
> I'd like a "Portuguese" category for it.


We don't usually make categories for just a single port..are there any
others which would go here?

Kris
Comment 3 Trevor Johnson 2002-03-17 04:04:15 UTC
Thank you for responding to my PR.

Please make any further replies to my jpj.net address, not to the address
for which I erroneously set a Reply-To.

According to http://www.freebsd.org/ports/, the following categories
contain fewer than ten ports: French, Hebrew, Offix, Picobsd, Plan9,
Science, and Ukrainian.  The Science and Ukrainian categories were added
in bsd.port.mk revision 1.363, at the time of Satoshi Asami's resignation.
When Science and Ukrainian were created, neither contained any ports at
all.  A single port was added to each after about a week had passed.

The existing textproc/br-ispell port could be included in a Portuguese
category.

According to
http://www.cia.gov/cia/publications/factbook/geos/br.html#People there are
about 175 million people in Brazil, where Portuguese is the official
language.  There are another 10 million in Portugul itself, and the
language is widely spoken in a few other countries.
-- 
Trevor Johnson
Comment 4 Trevor Johnson freebsd_committer 2002-03-20 19:26:05 UTC
State Changed
From-To: open->closed

Committed without category.
Comment 5 Trevor Johnson 2002-09-10 08:19:13 UTC
According to the audit trail for PR 37576
<URL:http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/37576> (the last
request for a category which received a response from a portmgr member)
five ports is considered enough to justify a category.

There are now five Portuguese ports:

	editors/openoffice-pt
	editors/staroffice52-pt
	textproc/br-ispell
	textproc/pt-aspell
	x11-wm/blwm
-- 
Trevor Johnson

---------- Forwarded message ----------
Date: Mon, 9 Sep 2002 20:50:29 -0700 (PDT)
From: Dirk Meyer <dinoex@FreeBSD.org>
To: cvs-committers@FreeBSD.org, cvs-all@FreeBSD.org
Subject: cvs commit: ports/textproc Makefile ports/textproc/pt-aspell
      Makefile pkg-comment pkg-descr

dinoex      2002/09/09 20:50:29 PDT

  Modified files:
    textproc             Makefile
  Added files:
    textproc/pt-aspell   Makefile pkg-comment pkg-descr
  Log:
  build aspell with dictionary
  PR:             42523
  Submitted by:   thierry@pompo.net

  Revision  Changes    Path
  1.418     +1 -0      ports/textproc/Makefile
  1.1       +16 -0     ports/textproc/pt-aspell/Makefile (new)
  1.1       +1 -0      ports/textproc/pt-aspell/pkg-comment (new)
  1.1       +6 -0      ports/textproc/pt-aspell/pkg-descr (new)
Comment 6 Trevor Johnson freebsd_committer 2002-09-10 08:19:23 UTC
State Changed
From-To: closed->open

Due to events which have happened since this was closed this, I 
would like it to be considered again.
Comment 7 mb 2002-09-10 08:53:13 UTC
Hi,

> According to the audit trail for PR 37576
> <URL:http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/37576> (the last
> request for a category which received a response from a portmgr member)
> five ports is considered enough to justify a category.
>
> There are now five Portuguese ports:
>
> 	editors/openoffice-pt
> 	editors/staroffice52-pt
> 	textproc/br-ispell
> 	textproc/pt-aspell
> 	x11-wm/blwm

You forgot two :)

	editors/ooodict-pt_BR
	editors/ooodict-pt_PT

Martin
Comment 8 lioux 2002-09-10 17:09:00 UTC
On Tue, Sep 10, 2002 at 03:18:51AM -0400, Trevor Johnson wrote:
> According to the audit trail for PR 37576
> <URL:http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/37576> (the last
> request for a category which received a response from a portmgr member)
> five ports is considered enough to justify a category.
> 
> There are now five Portuguese ports:
> 
> 	editors/openoffice-pt
> 	editors/staroffice52-pt
> 	textproc/br-ispell
> 	textproc/pt-aspell
> 	x11-wm/blwm

	Actually, there are more if you consider localized i18n
ports :)

	editors/ooodict-pt_BR
	editors/ooodict-pt_PT
	misc/kde3-i18n-pt
	misc/kde3-i18n-pt_BR
	www/frontpage-pt_BR

	So, we have about 10 ports to start a new category.
Can I move and commit this? The changes would include:

	1) repo copy moving (+ some fixing in the ports) all of the above
	to a new category subdir portuguese
	2) add the new category to bsd.port.mk
	3) add the new category to portlint
	4) add the new category to Porter's Handbook
	5) make appropriate changes to the www site if any

	Let me know what you guys think.

	Regards,

--
Mario S F Ferreira - DF - Brazil - "I guess this is a signature."
Computer Science Undergraduate | FreeBSD Committer | CS Developer
flames to beloved devnull@someotherworldbeloworabove.org
feature, n: a documented bug | bug, n: an undocumented feature
Comment 9 Thierry Thomas 2002-09-10 18:09:54 UTC
Le 10/09/2002 à 18:09:00 +0200, Mario Sergio Fujikawa Ferreira <lioux@FreeeBSD.org> écrivait :
> 	Actually, there are more if you consider localized i18n
> ports :)
> 
> 	editors/ooodict-pt_BR
> 	editors/ooodict-pt_PT
> 	misc/kde3-i18n-pt
> 	misc/kde3-i18n-pt_BR
> 	www/frontpage-pt_BR
> 
> 	So, we have about 10 ports to start a new category.
> Can I move and commit this? The changes would include:
> 
> 	1) repo copy moving (+ some fixing in the ports) all of the above
> 	to a new category subdir portuguese
> 	2) add the new category to bsd.port.mk
> 	3) add the new category to portlint
> 	4) add the new category to Porter's Handbook
> 	5) make appropriate changes to the www site if any
> 
> 	Let me know what you guys think.

Good idea! There are a lot of ports in textproc & misc...

Best regards.
-- 
Th. Thomas.
Comment 10 dirk.meyer 2002-09-11 16:08:34 UTC
I would like to add 2 ports:
	pt-webalizer
	br-webalizer

shall I wait or go ahead?

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
Comment 11 Akinori MUSHA freebsd_committer 2002-11-18 09:59:13 UTC
State Changed
From-To: open->closed

New real, language specific category added, thanks!